{% extends 'shop/base.html' %}
{% load static %}
{% block title %}
    Your Shopping Cart
{% endblock %}


{% block content %}
    <div class="container">
        <div class="row" style="margin-top: 6%">
        <h2>Your Shopping Cart
            <span class="badge pull-right">
                {% with totail_items=cart|length %}
                    {% if cart|length > 0 %}
                        My Shopping Order:
                        <a href="{% url "cart:cart_detail" %}" style="color: #ffffff">
                            {{ totail_items }} item {{ totail_items|pluralize }}, Tk. {{ cart.get_total_price }}
                        </a>
                        {% else %}
                        Your cart is empty.
                    {% endif %}
                {% endwith %}
            </span>
        </h2>
            <table class="table table-striped table-hover">
                <thead style="background-color: #5AC8FA">
                    <tr>
                        <th>Image</th>
                        <th>Product</th>
                        <th>Quantity</th>
                        <th>Remove</th>
                        <th>Unit Price</th>
                        <th>Price</th>
                    </tr>
                </thead>
                <tbody>
                {% for item in cart %}
                    {% with product=item.product  %}
                        <tr>
                            <td>
                                <a href="{{ product.get__absolute_url }}">
                                    <img src="{% if product.image %} {{ product.image.url }} {% else %} {% static 'img/default.jpg' %} {% endif %}" alt="..." style="height: 130px; width: auto">
                                </a>
                            </td>
                            <td>{{ product.name }}</td>
                            <td>
                                <form action="{% url "cart:cart_add" product.id %}" method="post">
                                    {% csrf_token %}
                                    {{ item.update_quantity_form.quantity }}
                                    {{ item.update_quantity_form.update }}
                                    <input type="submit" value="Update" class="btn btn-info">
                                </form>
                            </td>
                            <td>
                                <a href="{% url "cart:cart_remove" product.id %}">Remove</a>
                            </td>
                            <td>Tk. {{ item.price }}</td>
                            <td>Tk. {{ item.total_price }}</td>
                        </tr>
                    {% endwith %}
                {% endfor %}
                <tr style="background-color: #5AC8FA">
                    <td><b>Total</b></td>
                    <td colspan="4"></td>
                    <td colspan="num"><b>Tk. {{ cart.get_total_price }}</b></td>
                </tr>
                </tbody>
            </table>
        <p class="text-right">
            <a href="{% url "shop:product_list" %}" class="btn btn-default">Continue Shopping</a>
            <a href="{% url "orders:order_create" %}" class="btn btn-primary">Checkout</a>
        </p>
        </div>
    </div>
{% endblock %}